List workspaces matching the given "thing". A "thing" is an object with these 3 fields: value, name and type, each of which is required for this call.

GET /users/workspaces-by-things

Operation id: WorkspaceService_ListWorkspacesByThing

Description

Permission Level: Read

Tags: WorkspaceService

Parameters

Query parameters

NameTypeRequiredDescription
namestringNoName of the thing. Required: false
typestringNoType of the thing. Required: false
valuestringNoValue of the thing. Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
workspacesarrayNo
{
  "type": "object",
  "properties": {
    "workspaces": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "parent": {
            "type": "string",
            "description": "Name of the parent of the workspace. Empty if root workspace."
          },
          "workspaceType": {
            "type": "string"
          },
          "tenantId": {
            "type": "string"
          },
          "ancestors": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "descendants": {
            "type": "array",
            "items": {
              "type": "string"
            }
          },
          "displayName": {
            "type": "string"
          },
          "attributes": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "users": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "enabledScopes": {
            "type": "object"
          },
          "creationTime": {
            "type": "string",
            "format": "date-time"
          },
          "domain": {
            "type": "string"
          },
          "lastUpdated": {
            "type": "string",
            "format": "date-time"
          },
          "description": {
            "type": "string"
          },
          "expiration": {
            "type": "object"
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}